# XQilla Simple API Documentation

# DebugCommand Class Reference

`#include <InteractiveDebugger.hpp>`

List of all members.

## Public Member Functions

virtual | ~DebugCommand ()
virtual const char * | getCommandName () const
virtual const char * | getCommandNameCompat () const
virtual const char * | getBriefHelp () const
virtual const char * | getMoreHelp () const
virtual bool | matches (const std::string &command) const
virtual void | execute (InputParser::Args &args, BaseInteractiveDebugger &env)=0

## Static Public Member Functions

static bool | matches (const std::string &command, const std::string &toMatch)

## Protected Member Functions

| DebugCommand (const char *name, const char *compatName, const char *briefHelp, const char *moreHelp)

## Protected Attributes

const char * | name_
const char * | compatName_
const char * | briefHelp_
const char * | moreHelp_

## Constructor & Destructor Documentation

virtual DebugCommand::~DebugCommand | ( |  | ) | `[inline, virtual]`

DebugCommand::DebugCommand | ( | const char * | name,
|  | const char * | compatName,
|  | const char * | briefHelp,
|  | const char * | moreHelp |
| ) |  |  | `[inline, protected]`

## Member Function Documentation

virtual void DebugCommand::execute | ( | InputParser::Args & | args,
|  | BaseInteractiveDebugger & | env |
| ) |  |  | `[pure virtual]`

virtual const char* DebugCommand::getBriefHelp | ( |  | ) | const`[inline, virtual]`

virtual const char* DebugCommand::getCommandName | ( |  | ) | const`[inline, virtual]`

virtual const char* DebugCommand::getCommandNameCompat | ( |  | ) | const`[inline, virtual]`

virtual const char* DebugCommand::getMoreHelp | ( |  | ) | const`[inline, virtual]`

virtual bool DebugCommand::matches | ( | const std::string & | command | ) | const`[virtual]`

static bool DebugCommand::matches | ( | const std::string & | command,
|  | const std::string & | toMatch |
| ) |  |  | `[static]`

## Member Data Documentation

const char* DebugCommand::briefHelp_ `[protected]`

const char* DebugCommand::compatName_ `[protected]`

const char* DebugCommand::moreHelp_ `[protected]`

const char* DebugCommand::name_ `[protected]`

The documentation for this class was generated from the following file:

- InteractiveDebugger.hpp